@ECHO OFF

SET "COMPONENTE_A=Componente_A\"**
SET "COMPONENTE_B=Componente_B\"**
SET "COMPONENTE_C=Componente_C\"**

cd %COMPONENTE_A%
cd componente-a\
ECHO INSTALLING LIBRARIES FOR COMPONENT A
ECHO WAIT UNTILL PROCESS END
CALL npm install

ECHO BUILDING COMPONENT A
ECHO WAIT UNTILL PROCESS END
CALL npm run build

cd ..
cd ..
cd %COMPONENTE_C%
ECHO STARTING COMPONENT C
ECHO WAIT UNTILL PROCESS END
START "" node C.js

cd ..
cd %COMPONENTE_B%
ECHO BUILDING COMPONENT B
ECHO WAIT UNTILL PROCESS END
CALL mvnw.cmd clean install

ECHO STARTING COMPONENT A & B
ECHO WAIT UNTILL PROCESS END
START "" mvnw.cmd spring-boot:run


start "" http://localhost:8080